# ========================================================================================
# 					panel.py
# ========================================================================================
import gtk		# Gets colors and access to widgets.
import os		# Needed to get access to paths.
import hal		# Needed to react to hal signals.
import hal_glib		# Needed to create our own hal pins
# ----------------------------------------------------------------------------------------
CONFIGPATH = os.environ['CONFIG_DIR']		# Get the path where the CONFIG lives.
IMAGEDIR = os.path.join(CONFIGPATH, "IMAGES")	# Add in the IMAGES subfolder path.
# ----------------------------------------------------------------------------------------
class HandlerClass:
    def __init__(self, halcomp,builder,useropts):

        self.halcomp = halcomp 	# Setup halcomp
        self.builder = builder	# Setup builder
        # self._make_hal_pin()	# Create a hal pin
# ----------------------------------------------------------------------------------------
# Set Jog Button Colors

	btn = self.builder.get_object('x-minus')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#aa4444"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#999933"))

	btn = self.builder.get_object('x-plus')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#aa4444"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#999933"))

	btn = self.builder.get_object('y-minus')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#44aa44"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#999933"))

	btn = self.builder.get_object('y-plus')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#44aa44"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#999933"))

	btn = self.builder.get_object('z-minus')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#9999dd"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#999933"))

	btn = self.builder.get_object('z-plus')
	btn.modify_bg(gtk.STATE_NORMAL, gtk.gdk.color_parse("#9999dd"))
	btn.modify_bg(gtk.STATE_ACTIVE, gtk.gdk.color_parse("#999933"))

# ----------------------------------------------------------------------------------------
# boiler code
def get_handlers(halcomp,builder,useropts):
    return [HandlerClass(halcomp,builder,useropts)]
# ========================================================================================
